FROM node:20

FROM mcr.microsoft.com/playwright:v1.48.0-noble

# Set the working directory in the container
WORKDIR /app

# Copy package.json and package-lock.json
COPY package*.json ./

# Install dependencies
RUN npm install

# Install Playwright browsers
RUN npx playwright install chromium --with-deps

# Install jq
RUN apt-get install -y jq

# Copy the rest of the application code
COPY . .
